      SUBROUTINE show_particle(y,t,xmid,r,nshow)
      IMPLICIT NONE
      REAL*8 y, t, xmid, r
      INTEGER IR_, nshow, IDMY, Itmp1_
      IF(t .EQ. 0) THEN
         WRITE(*,'(A,$)') 'number of time steps between output = '
         READ(*,*) nshow
         CALL GWclear(IR_, -1)
         CALL GWindow(IR_, 0.0, -1.0, 11.0, REAL(y + 1))
         CALL GWline(IR_, 0.0, 0.0, 11.0, 0.0)  ! surface of earth
         xmid = 6                           ! place line in middle of screen
         r = 0.1D0
      END IF
      CALL GWputmrk(IR_, REAL(xmid), REAL(y))
                                            ! show particle
      END
